RPM-MACROFILE(5)

NAMN
rpm-macrofile — rpm:s makrofilformat

SYNOPSIS
%NAMN[([FLAGGOR]) KROPP

BESKRIVNING
Rpm:s makrofiler används för att definiera rpm-macros(7) i den globala makrokontexten. De två primära användningarna av makron är att hjälpa till i arbetet med paketering, och att konfigurera rpm:s beteende. En förutbestämd uppsättning makrofiler läses när rpm-biblioteket initieras så som beskrivs i rpm-config(5) men de kan även laddas separat via makrot %load.

Formatet på makrofiler är: makrot NAMN prefixat med %, följt av mellanrum och sedan makrots kropp, varje ny definition avdelad med en nyrad. Syntaxen är exakt densamma som när man använder %define. Se rpm-macros(7) för detaljer om makrosyntaxen.

Ett avslutande \ indikerar att raden fortsätter, men kan utelämnas inuti makrokroppar inslagna i ett block %{makro:…}.

Rader som börjar med # eller består endast av blanktecken ignoreras.

Att läsa en makrofil är alltid fullt deklarativt: inga makron expanderas någonsin när en makrofil läses.

EXEMPEL

  Exempel 1. Enkelt makro
    %mittverktyg	/usr/bin/mitt-verktyg-med-fånigt-namn

  Exempel 2. Flerradsmakro med en inledande kommentar
    # Ett avslutande %{nil} är praktiskt för att säkerställa en nyrad på slutet
    %mittkommando %{mittverktyg} \
        --ett \
        --med \
        --för \
        --många argument \
    %{nil}

  Exempel 3. Flerradigt parametriserat Lua-makro:
    %minassisten() %{lua:
        function fixasaker(arg)
            return 'fixa saker för '..arg
        end
        print(fixasaker(arg[1]))
    }

SE ÄVEN
rpm-config(5) rpmbuild-config(5) rpm-macros(7)

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.